unit uFrankatur;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Eingabe: TEdit;
    Label1: TLabel;
    Berechne: TButton;
    Zehner: TLabel;
    sechser: TLabel;
    vierer: TLabel;
    Label5: TLabel;
    Ende: TButton;
    Reset: TButton;
    procedure BerechneClick(Sender: TObject);
    procedure EndeClick(Sender: TObject);
    procedure ResetClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BerechneClick(Sender: TObject);
var betrag, zehn, sechs, vier, sum : integer;
begin
  betrag := strtoint(Eingabe.text);
  zehn :=0;
  repeat
    sechs := 0;
    repeat
      vier :=0;
      repeat
        sum := 10*zehn+6*sechs+4*vier;
        if sum = betrag
        then
          begin
            zehner.caption := zehner.caption +#13+ inttostr(zehn);
            sechser.caption := sechser.caption +#13+ inttostr(sechs);
            vierer.caption := vierer.caption +#13+ inttostr(vier);
          end;
        vier := vier + 1;
      until sum > betrag;
      sechs := sechs + 1;
    until 10*zehn+6*sechs > betrag;
    zehn := zehn + 1;
  until 10*zehn > betrag;

end;

procedure TForm1.EndeClick(Sender: TObject);
begin
   close;
end;

procedure TForm1.ResetClick(Sender: TObject);
begin
   zehner.caption :='Zehner';
   sechser.caption := 'Sechser';
   vierer.caption := 'Vierer';
   Eingabe.Text := '';
   Eingabe.setfocus;
end;

end.
